---
title: "Request registration"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`POST /v2/entities/{entityId}/reporting-agent-identity`

## Path parameters

- `entityId` (`entity-reporting-agent-identity-request-registration.path.entityId`; string, required)
  - format `uuid`

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/reporting-agent-identity' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/reporting-agent-identity';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/reporting-agent-identity"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "status": "not_started",
    "requestedByUserId": "string",
    "chain": {
      "chainId": 0,
      "registryAddress": "string",
      "agentAddress": "string",
      "tokenId": "string",
      "transactionHash": "string",
      "metadataUri": "http://example.com",
      "metadataHash": "string"
    },
    "readinessFactorKey": "agent_identity",
    "readinessMilestone": "agent_identity_registered",
    "retryCount": 0,
    "failureCode": "string",
    "failurePublicMessage": "string",
    "queuedAt": "2019-08-24T14:15:22Z",
    "submittedAt": "2019-08-24T14:15:22Z",
    "registeredAt": "2019-08-24T14:15:22Z",
    "failedAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-reporting-agent-identity-request-registration.response.200.data`; object, required)
  - `id` (`entity-reporting-agent-identity-request-registration.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`entity-reporting-agent-identity-request-registration.response.200.data.entityId`; string, required)
    - format `uuid`
  - `status` (`entity-reporting-agent-identity-request-registration.response.200.data.status`; string, required)
    - one of `"not_started"`, `"queued"`, `"pending_tx"`, `"registered"`, `"failed"`
  - `requestedByUserId` (`entity-reporting-agent-identity-request-registration.response.200.data.requestedByUserId`; string, required, nullable)
    - minLength 1
  - `chain` (`entity-reporting-agent-identity-request-registration.response.200.data.chain`; object, required)
    - `chainId` (`entity-reporting-agent-identity-request-registration.response.200.data.chain.chainId`; integer, required, nullable)
      - min 0
    - `registryAddress` (`entity-reporting-agent-identity-request-registration.response.200.data.chain.registryAddress`; string, required, nullable)
      - pattern `^0x[a-fA-F0-9]{40}$`
    - `agentAddress` (`entity-reporting-agent-identity-request-registration.response.200.data.chain.agentAddress`; string, required, nullable)
      - pattern `^0x[a-fA-F0-9]{40}$`
    - `tokenId` (`entity-reporting-agent-identity-request-registration.response.200.data.chain.tokenId`; string, required, nullable)
      - pattern `^\d+$`
    - `transactionHash` (`entity-reporting-agent-identity-request-registration.response.200.data.chain.transactionHash`; string, required, nullable)
      - pattern `^0x[a-fA-F0-9]{64}$`
    - `metadataUri` (`entity-reporting-agent-identity-request-registration.response.200.data.chain.metadataUri`; string, required, nullable)
      - format `uri`
    - `metadataHash` (`entity-reporting-agent-identity-request-registration.response.200.data.chain.metadataHash`; string, required, nullable)
      - minLength 1; maxLength 128
  - `readinessFactorKey` (`entity-reporting-agent-identity-request-registration.response.200.data.readinessFactorKey`; string, required)
    - one of `"agent_identity"`
  - `readinessMilestone` (`entity-reporting-agent-identity-request-registration.response.200.data.readinessMilestone`; string, required)
    - one of `"agent_identity_registered"`
  - `retryCount` (`entity-reporting-agent-identity-request-registration.response.200.data.retryCount`; integer, required)
    - min 0
  - `failureCode` (`entity-reporting-agent-identity-request-registration.response.200.data.failureCode`; string, required, nullable)
    - minLength 1; maxLength 120
  - `failurePublicMessage` (`entity-reporting-agent-identity-request-registration.response.200.data.failurePublicMessage`; string, required, nullable)
    - minLength 1; maxLength 500
  - `queuedAt` (`entity-reporting-agent-identity-request-registration.response.200.data.queuedAt`; string, required, nullable)
    - format `date-time`
  - `submittedAt` (`entity-reporting-agent-identity-request-registration.response.200.data.submittedAt`; string, required, nullable)
    - format `date-time`
  - `registeredAt` (`entity-reporting-agent-identity-request-registration.response.200.data.registeredAt`; string, required, nullable)
    - format `date-time`
  - `failedAt` (`entity-reporting-agent-identity-request-registration.response.200.data.failedAt`; string, required, nullable)
    - format `date-time`
  - `createdAt` (`entity-reporting-agent-identity-request-registration.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`entity-reporting-agent-identity-request-registration.response.200.data.updatedAt`; string, required)
    - format `date-time`
- `meta` (`entity-reporting-agent-identity-request-registration.response.200.meta`; object, optional)
  - `timestamp` (`entity-reporting-agent-identity-request-registration.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reporting-agent-identity-request-registration.response.400.error`; object, required)
  - `code` (`entity-reporting-agent-identity-request-registration.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reporting-agent-identity-request-registration.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reporting-agent-identity-request-registration.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reporting-agent-identity-request-registration.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reporting-agent-identity-request-registration.response.401.error`; object, required)
  - `code` (`entity-reporting-agent-identity-request-registration.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reporting-agent-identity-request-registration.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reporting-agent-identity-request-registration.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reporting-agent-identity-request-registration.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reporting-agent-identity-request-registration.response.403.error`; object, required)
  - `code` (`entity-reporting-agent-identity-request-registration.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reporting-agent-identity-request-registration.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reporting-agent-identity-request-registration.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reporting-agent-identity-request-registration.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reporting-agent-identity-request-registration.response.404.error`; object, required)
  - `code` (`entity-reporting-agent-identity-request-registration.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reporting-agent-identity-request-registration.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reporting-agent-identity-request-registration.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reporting-agent-identity-request-registration.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reporting-agent-identity-request-registration.response.409.error`; object, required)
  - `code` (`entity-reporting-agent-identity-request-registration.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reporting-agent-identity-request-registration.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reporting-agent-identity-request-registration.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reporting-agent-identity-request-registration.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reporting-agent-identity-request-registration.response.500.error`; object, required)
  - `code` (`entity-reporting-agent-identity-request-registration.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reporting-agent-identity-request-registration.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reporting-agent-identity-request-registration.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reporting-agent-identity-request-registration.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-reporting-agent-identity-request-registration/index.md
